#
# spec file for package perl-IO-String (Version 1.01)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-IO-String
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     IO-String
Autoreqprov:  on
Summary:      Perl IO/String interface
Version:      1.01
Release:      31
Source:	      IO-String-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
IO::String is an IO::File (and IO::Handle) compatible class that read
or write data from in-core strings.

SuSE series: perl

%prep
%setup -n IO-String-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-IO-String
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/IO/String
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist.n
mv .packlist.n .packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes README
%doc %{_mandir}/man3/IO::String.3pm*
%dir /usr/lib/perl5/site_perl/5.*/*-linux/auto/IO
/usr/lib/perl5/site_perl/5.*/*-linux/auto/IO/String
%dir /usr/lib/perl5/site_perl/5.*/IO
/usr/lib/perl5/site_perl/5.*/IO/String.pm
/var/adm/perl-modules/perl-IO-String

%changelog -n perl-IO-String
* Mon Aug 13 2001 - kukuk@suse.de
- Initial version
